Bug 450477 - RDMA Connection Management library/API
RDMA Connection Management library/API
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
noarch Linux
low Severity low
: ---
: ---
Assigned To: Shawn Starr
Fedora Extras Quality Assurance
http://people.redhat.com/dledford/Inf...
:
Depends On: 450470
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-08 20:00 EDT by Doug Ledford
Modified: 2008-07-25 12:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 12:31:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn.starr: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Doug Ledford 2008-06-08 20:00:54 EDT
+++ This bug was initially created as a clone of Bug #450470 +++

This package provides an init script and a config file and an awk script and
some udev rules that are needed to properly setup the kernel InfiniBand/iWARP
modules at bootup or anytime someone wants to reload the stack.  It's generally
needed in order to get all the proper modules loaded for things like IPoIB to
work smoothly as there is no good means of mapping from things like ib0 network
configuration to actual hardware module without hacking up modprobe to know
things about the IB stack like it does about the SCSI stack (such as loading sdX
devices requires scsi_hostadapter* to be loaded too, same goes here, loading ib*
devices would require the addition of an rdma_hostadapter concept to modprobe).
 It seems a better idea to implement the logic here than to add another specific
hack to modprobe et. al.

-- Additional comment from dledford@redhat.com on 2008-06-08 18:17 EST --
Package can be found under

http://people.redhat.com/dledford/Infiniband/f10/noarch/

-- Additional comment from dledford@redhat.com on 2008-06-08 19:38 EST --
src rpm can be found under

http://people.redhat.com/dledford/Infiniband/f10/SRPMS/
Comment 1 Doug Ledford 2008-06-08 20:02:55 EDT
Er, meant to edit comment text and accidentally triggered the web browser to
post early instead.

Anyway, this is the librdmacm library.  It's the most commonly used user space
API for abstracting out the InfiniBand connection process and making it act, as
much as possible, like a normal sockets based connection.  It's highly useful
and make RDMA programming not quite so horrible.
Comment 2 Shawn Starr 2008-07-03 19:07:48 EDT
REVIEW
======

GOOD:

+ Mock build successful
INFO: Done(librdmacm-1.0.7-1.fc10.src.rpm) Config(default) 6 minutes 33 seconds
INFO: Results and/or logs in: /var/lib/mock//fedora-rawhide-i386/result
Wrote: /builddir/build/RPMS/librdmacm-1.0.7-1.fc10.i386.rpm
Wrote: /builddir/build/RPMS/librdmacm-devel-1.0.7-1.fc10.i386.rpm
Wrote: /builddir/build/RPMS/librdmacm-utils-1.0.7-1.fc10.i386.rpm
Wrote: /builddir/build/RPMS/librdmacm-static-1.0.7-1.fc10.i386.rpm
Wrote: /builddir/build/RPMS/librdmacm-debuginfo-1.0.7-1.fc10.i386.rpm

rpmlint
-------

+ librdmacm-utils: No errors/warnings
+ librdmacm-devel: No errors/warnings

! rpmlint reports the following warnings/errors:
    ? librdmacm.i386: E: zero-length /usr/share/doc/librdmacm-1.0.7/ChangeLog
      ? Not sure what we can do about that, It's upstream's problem for not
        putting in a valid ChangeLog.

    + librdmacm-static.i386: W: no-documentation
      + No doc for static is just fine.

+ Naming of RPMs generated is ok
+ License is fine (GPLv2 and BSD)
+ Permissions/ownership/dirs is ok

Assuming we can't do anything about the ChangeLog, these RPMs look OK to me for
submission.

Please comment, then we'll mark this for cvs.
Comment 3 Doug Ledford 2008-07-04 11:39:54 EDT
For a 0 length changelog file, Ed had me just remove the file from the %doc
list.  If they haven't bothered to use the file to date, they likely never will,
no sense keeping it around.  I'll make that change.
Comment 4 Doug Ledford 2008-07-04 11:42:30 EDT
New rpms copied over the top of the old ones.
Comment 5 Shawn Starr 2008-07-04 13:07:36 EDT
Looks good, approved!
Comment 6 Doug Ledford 2008-07-04 15:37:51 EDT
New Package CVS Request
=======================
Package Name: librdmacm
Short Description: RDMA IP based Connection Management library
Owners: dledford
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-07-04 15:51:25 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.